
Runner.pages.PageSettings.addPageEvent( 
	"biometric", 
	"add", 
	"afterPageReady", 
	function(pageObj, proxy, pageid, inlineRow, inlineObject, row ) {
		/*var ctrlPrice = Runner.getControl(pageid, 'nro_Acciones');

var ctrlTotal = Runner.getControl(pageid, 'total_bs');
 
function func() {
  ctrlTotal.setValue(Number(ctrlPrice.getValue()) * 16);
};
 
ctrlPrice.on('keyup', func);*/



var Precio = Runner.getControl(pageid, 'saldo_Acciones');
Precio.makeReadonly();
var Valor = Runner.getControl(pageid, 'saldo_Acciones_A');
Valor.makeReadonly();
var Cantidad = Runner.getControl(pageid, 'nro_Acciones');




// Cantidad.makeReadonly();
Precio.on('change', function(e){
    // Cantidad.makeReadWrite();
    if ( Cantidad.getValue() != 0 ) {
      Valor.setValue(parseFloat(Precio.getValue().replace(",", ".")) - parseFloat(Cantidad.getValue().replace(",", ".")));    
    }
});
Cantidad.on('change', function(e){
      Valor.setValue(parseFloat(Precio.getValue().replace(",", ".")) - parseFloat(Cantidad.getValue().replace(",", ".")));
      
});


var ctrl_My_Field= Runner.getControl(pageid, 'saldo_Acciones_A');
this.on('beforeSave', function(formObj, fieldControlsArr, pageObj){

if(ctrl_My_Field.getValue() >= 0){
return true;
}else{
 alert("¡Favor verificar se superó el número de acciones disponibles!");
Runner.delDisabledClass ( pageObj.saveButton );
return false;
}
});




});


Runner.pages.PageSettings.addPageEvent( 
	"biometric", 
	"edit", 
	"afterPageReady", 
	function(pageObj, proxy, pageid, inlineRow, inlineObject, row ) {
		/*var ctrlPrice = Runner.getControl(pageid, 'nro_Acciones');

var ctrlTotal = Runner.getControl(pageid, 'total_bs');
 
function func() {
  ctrlTotal.setValue(Number(ctrlPrice.getValue()) * 16);
};
 
ctrlPrice.on('keyup', func);*/



var Precio = Runner.getControl(pageid, 'saldo_Acciones');
Precio.makeReadonly();
var Valor = Runner.getControl(pageid, 'saldo_Acciones_A');
Valor.makeReadonly();
var Cantidad = Runner.getControl(pageid, 'nro_Acciones');
// Cantidad.makeReadonly();
Precio.on('change', function(e){
    // Cantidad.makeReadWrite();
    if ( Cantidad.getValue() != 0 ) {
      Valor.setValue(parseFloat(Precio.getValue().replace(",", ".")) - parseFloat(Cantidad.getValue().replace(",", ".")));    
    }
});
Cantidad.on('change', function(e){
      Valor.setValue(parseFloat(Precio.getValue().replace(",", ".")) - parseFloat(Cantidad.getValue().replace(",", ".")));
      
});


var ctrl_My_Field= Runner.getControl(pageid, 'saldo_Acciones_A');
this.on('beforeSave', function(formObj, fieldControlsArr, pageObj){

if(ctrl_My_Field.getValue() >= 0){
return true;
}else{
 alert("¡Favor verificar se superó el número de acciones disponibles!");
Runner.delDisabledClass ( pageObj.saveButton );
return false;
}
});



});






